%define upstream_name    Lingua-EN-Inflect-Phrase
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Inflect short English Phrases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Lingua::EN::Inflect) >= 1.891.0
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1.100.0
BuildRequires: perl(Lingua::EN::Tagger) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
Attempts to pluralize or singularize short English phrases.

If it doesn't work, please email or submit to RT the example you tried, and
I'll try to fix it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 25 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 200895
- update to 0.12

* Mon Dec 19 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 184206
- update to 0.11

* Thu Nov 03 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 162231
- update to 0.10

* Thu Oct 13 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 154342
- update to 0.08

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 37067
- mageia rebuild
- imported package perl-Lingua-EN-Inflect-Phrase

